Package com.explodingpixels.painter

## Class ButtonStatePainter.DummyPainter

- java.lang.Object
- - com.explodingpixels.painter.ButtonStatePainter.DummyPainter

All Implemented Interfaces:
  `MacWidgetsPainter<java.awt.Component>`

Enclosing class:
  ButtonStatePainter<B extends javax.swing.AbstractButton>

    public static class ButtonStatePainter.DummyPainter
    extends java.lang.Object
    implements MacWidgetsPainter<java.awt.Component>

An implementation of `MacWidgetsPainter` that does no painting.

### Constructor Summary

Constructors
`DummyPainter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paint​(java.awt.Graphics2D g, java.awt.Component component, int width, int height)` Renders to the given `Graphics2D`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DummyPainter

    public DummyPainter()

### Method Detail

#### paint

    public void paint​(java.awt.Graphics2D g,
                      java.awt.Component component,
                      int width,
                      int height)

Description copied from interface: `MacWidgetsPainter`
Renders to the given `Graphics2D`. The supplied graphics context may be modified - it's state need not be restored upon completion of painting.

Specified by:
  `paint` in interface `MacWidgetsPainter<java.awt.Component>`
Parameters:
  `g` - the graphics context to paint into. It's state need not be restored. Will not be null.
  `component` - the object to be painted.
  `width` - the width within the object to paint.
  `height` - the height within the object to paint.